Bug 8608 - Parallel port module problem
Parallel port module problem
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2000-01-19 11:10 EST by dhds_cell
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-02-23 14:45:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description dhds_cell 2000-01-19 11:10:52 EST
When I installed the out-of-the-box kernel and installation configuration
on my Pentium pc, it was not possible to write to /dev/lp0, or whatever
should be mapped to the very standard pc parallel port...
It turned out that kmod only loaded parport_probe, lp and parport.
parport_probe was not able to find the pc parallel port.
It turned out that putting "alias parport_probe parport_pc"
in /etc/conf.modules solved the problem. parport_pc now successfully found
the parallel port and it could be written to.
I think that this is a big deficiency in the standard Redhat 6.1 kernel
installation that should be fixed. I believe a significant number of the
6.1 users has a standard pc where the parallel port only can be detected
by parport_pc. By comparison, the S.u.s.e 6.1 with kernel 2.2.5 correctly
loaded parport_pc for successful parallel port detection.
Comment 1 dhds_cell 2000-02-03 06:02:59 EST
I found that setting the following in conf.modules is better because it will
also enable parport probing:
alias parport_lowlevel parport_pc
#host dependent option
#options parport_pc io=0x378 irq=7
Comment 2 Michael Fulbright 2000-02-23 14:45:59 EST
Fixed in latest beta of the installer.

Note You need to log in before you can comment on or make changes to this bug.